<div class="container text-left h-100">
  <div class="row h-100">
    <div class="col-12 align-self-center">
      <div class="row mb-3 auth-wrapper mx-auto">
        <div class="col-12">
          <h4 class="text-primary">Prijavi se</h4>
          <p>Ako već imaš račun, uloguj se ispod:</p>
        </div>
      </div>

      <div class="row auth-wrapper mx-auto">
        <div class="col-12">
          <form [formGroup]="form" (ngSubmit)="submit()">
            <div class="form-group">
              <app-text-input
                [faIcon]="faUser"
                [placeholder]="'Email adresa ili korisničko ime'"
                [parentForm]="form"
                [controlName]="'email'"
              ></app-text-input>
            </div>

            <div class="form-group mb-4">
              <app-password-input
                [parentForm]="form"
                [controlName]="'password'"
                [placeholder]="'Unesi lozinku'"
                (didSubmit)="submit()"
              ></app-password-input>
            </div>

            <div class="text-center">
              <small
                >Ne sjećaš se lozinke?
                <a href="javascript:void(0)" (click)="goToForgotPassword()"
                  >Resetuj je</a
                ></small
              >
            </div>

            <hr class="my-4" />

            <div class="form-group">
              <app-button
                [classList]="'btn-secondary btn-block'"
                [value]="'Prijavi se'"
                (clicked)="submit()"
              ></app-button>
            </div>

            <div class="form-group mt-2 text-center">
              <small
                >Nemaš račun?
                <a (click)="goToRegister()" href="javascript:void(0)"
                  >Napravi novi</a
                ></small
              >
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
